| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Read/Write of Primitive Data Types
Pipe Data Reading and Writing

## Detailed Description

Pipe data primitive read/write definitions.

Functions, macros, variables, enums and types related to data reading and writing of primitive data types from and to pipes.

## Functions
static uint8_t | Pipe_Read_8 (const uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads one byte from the currently selected pipe's bank, for OUT direction pipes.
static void | Pipe_Write_8 (const uint8_t corenum, const uint8_t Data) ATTR_ALWAYS_INLINE
| Writes one byte to the currently selected pipe's bank, for IN direction pipes.
static void | Pipe_Discard_8 (void) ATTR_ALWAYS_INLINE
static uint16_t | Pipe_Read_16_LE (const uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads two bytes from the currently selected pipe's bank in little endian format, for OUT direction pipes.
static uint16_t | Pipe_Read_16_BE (const uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads two bytes from the currently selected pipe's bank in big endian format, for OUT direction pipes.
static void | Pipe_Write_16_LE (const uint8_t corenum, const uint16_t Data) ATTR_ALWAYS_INLINE
| Writes two bytes to the currently selected pipe's bank in little endian format, for IN direction pipes.
static void | Pipe_Write_16_BE (const uint8_t corenum, const uint16_t Data) ATTR_ALWAYS_INLINE
| Writes two bytes to the currently selected pipe's bank in big endian format, for IN direction pipes.
static void | Pipe_Discard_16 (void) ATTR_ALWAYS_INLINE
static uint32_t | Pipe_Read_32_LE (const uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads four bytes from the currently selected pipe's bank in little endian format, for OUT direction pipes.
static uint32_t | Pipe_Read_32_BE (const uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Reads four bytes from the currently selected pipe's bank in big endian format, for OUT direction pipes.
static void | Pipe_Write_32_LE (const uint8_t corenum, const uint32_t Data) ATTR_ALWAYS_INLINE
| Writes four bytes to the currently selected pipe's bank in little endian format, for IN direction pipes.
static void | Pipe_Write_32_BE (const uint8_t corenum, const uint32_t Data) ATTR_ALWAYS_INLINE
| Writes four bytes to the currently selected pipe's bank in big endian format, for IN direction pipes.
static void | Pipe_Discard_32 (void) ATTR_ALWAYS_INLINE

## Function Documentation

static void Pipe_Discard_16 | ( | void |  | ) |
| inline static

Discards two bytes from the currently selected pipe's bank, for OUT direction pipes.

Definition at line 840 of file Pipe.h.

static void Pipe_Discard_32 | ( | void |  | ) |
| inline static

Discards four bytes from the currently selected pipe's bank, for OUT direction pipes.

Definition at line 937 of file Pipe.h.

static void Pipe_Discard_8 | ( | void |  | ) |
| inline static

Discards one byte from the currently selected pipe's bank, for OUT direction pipes.

Definition at line 751 of file Pipe.h.

static uint16_t Pipe_Read_16_BE | ( | const uint8_t | corenum | ) |
| inline static

Reads two bytes from the currently selected pipe's bank in big endian format, for OUT direction pipes.

Parameters

  corenum | : USB port number

Returns
  Next two bytes in the currently selected pipe's FIFO buffer.

Definition at line 787 of file Pipe.h.

static uint16_t Pipe_Read_16_LE | ( | const uint8_t | corenum | ) |
| inline static

Reads two bytes from the currently selected pipe's bank in little endian format, for OUT direction pipes.

Parameters

  corenum | : USB port number

Returns
  Next two bytes in the currently selected pipe's FIFO buffer.

Definition at line 765 of file Pipe.h.

static uint32_t Pipe_Read_32_BE | ( | const uint8_t | corenum | ) |
| inline static

Reads four bytes from the currently selected pipe's bank in big endian format, for OUT direction pipes.

Parameters

  corenum | : USB port number

Returns
  Next four bytes in the currently selected pipe's FIFO buffer.

Definition at line 878 of file Pipe.h.

static uint32_t Pipe_Read_32_LE | ( | const uint8_t | corenum | ) |
| inline static

Reads four bytes from the currently selected pipe's bank in little endian format, for OUT direction pipes.

Parameters

  corenum | : USB port number

Returns
  Next four bytes in the currently selected pipe's FIFO buffer.

Definition at line 854 of file Pipe.h.

static uint8_t Pipe_Read_8 | ( | const uint8_t | corenum | ) |
| inline static

Reads one byte from the currently selected pipe's bank, for OUT direction pipes.

Parameters

  corenum | : USB port number

Returns
  Next byte in the currently selected pipe's FIFO buffer

Definition at line 712 of file Pipe.h.

static void Pipe_Write_16_BE | ( | const uint8_t | corenum,
|  | const uint16_t | Data
| ) |  |
| inline static

Writes two bytes to the currently selected pipe's bank in big endian format, for IN direction pipes.

Parameters

  corenum | : USB port number
  Data | : Data to write to the currently selected pipe's FIFO buffer.

Returns
  Nothing

Definition at line 828 of file Pipe.h.

static void Pipe_Write_16_LE | ( | const uint8_t | corenum,
|  | const uint16_t | Data
| ) |  |
| inline static

Writes two bytes to the currently selected pipe's bank in little endian format, for IN direction pipes.

Parameters

  corenum | : USB port number
  Data | : Data to write to the currently selected pipe's FIFO buffer

Returns
  Nothing

Definition at line 810 of file Pipe.h.

static void Pipe_Write_32_BE | ( | const uint8_t | corenum,
|  | const uint32_t | Data
| ) |  |
| inline static

Writes four bytes to the currently selected pipe's bank in big endian format, for IN direction pipes.

Parameters

  corenum | : USB port number
  Data | : Data to write to the currently selected pipe's FIFO buffer

Returns
  Nothing

Definition at line 923 of file Pipe.h.

static void Pipe_Write_32_LE | ( | const uint8_t | corenum,
|  | const uint32_t | Data
| ) |  |
| inline static

Writes four bytes to the currently selected pipe's bank in little endian format, for IN direction pipes.

Parameters

  corenum | : USB port number
  Data | : Data to write to the currently selected pipe's FIFO buffer.

Returns
  Nothing

Definition at line 903 of file Pipe.h.

static void Pipe_Write_8 | ( | const uint8_t | corenum,
|  | const uint8_t | Data
| ) |  |
| inline static

Writes one byte to the currently selected pipe's bank, for IN direction pipes.

Parameters

  corenum | : USB port number
  Data | : Data to write into the the currently selected pipe's FIFO buffer

Returns
  Nothing

Definition at line 736 of file Pipe.h.